@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-lg-8">
            <div class="card">
                <div class="card-header">{{ $wowa->created_at }}</div>

                <div style="position: relative" class="card-body">
                    <div class="form-inline">
                        {!! $wowa->statusBadge() !!}
                    </div>
                    <div id="id">
                        <p>
                            <i class="fas fa-hashtag"></i>
                            <b>Id</b> : {{ $wowa->id }}
                        </p>
                    </div>
                    <div id="user">
                        <p>
                            <i class="fas fa-user"></i>
                            <b>User</b> : {{ \App\User::findUserNameById($wowa) }}
                        </p>
                    </div>
                    <div id="score">
                        <p>
                            <b>Score</b> : {{ $wowa->score }}
                        </p>
                    </div>
                    <div id="population">
                        <p>
                            <b>Population number</b> : {{ $wowa->population }}
                        </p>
                    </div>
                    <div id="crossover">
                        <p>
                            <b>Crossover Rate</b> : {{ $wowa->crossover_rate }}
                        </p>
                    </div>
                    <div id="mutation">
                        <p>
                            <b>Mutation Rate</b> : {{ $wowa->mutation_rate }}
                        </p>
                    </div>
                    <div id="generation">
                        <p>
                            <b>Generation number</b> : {{ $wowa->generation_number }}
                        </p>
                    </div>
                    <div>
                        <b>Weights W Vector:</b>
                        <div class="input-group mb-3">
                            <input id="w_weights" type="text" class="form-control" readonly value="@json($wowa->weightsW())" style="overflow-x: scroll"  onclick="this.focus();this.select()">
                            <div class="input-group-append">
                                <button type="button" id="w_weights_button" class="btn btn-info" title="Copy to clipboard">Copy</button>
                            </div>
                        </div>
                    </div>
                    <div>
                        <b>Weights W Vector:</b>
                        <div class="input-group mb-3">
                            <input id="p_weights" type="text" class="form-control" readonly value="@json($wowa->weightsP())" style="overflow: scroll" onclick="this.focus();this.select()">
                            <div class="input-group-append">
                                <button id="p_weights_button" type="button" class="btn btn-info" title="Copy to clipboard">Copy</button>
                            </div>
                        </div>
                    </div>

                    <div id="roc">
                        <p>
                            <b>AUC Roc curve</b> : {{ $wowa->roc }}
                        </p>
                    </div>
                    <div id="pr">
                        <p>
                            <b>AUC P-R curve</b> : {{ $wowa->pr }}
                        </p>
                    </div>
                    <div>
                        <form method="POST"
                              action="{{ action('WowaController@destroy', ['wowa' => $wowa]) }}"
                              style="display: inline-block">
                            {{ csrf_field() }}
                            {{ method_field("DELETE") }}
                            <button class="btn btn-danger">
                                 Delete
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    document.getElementById("w_weights_button").addEventListener("click", function () {
       const w = document.getElementById("w_weights");
       w.value = w.value.replace(/\[|\]/g,'');
       w.select();
       document.execCommand("copy");
       document.getElementById("w_weights_button").innerHTML = "Copied!";
    });
    document.getElementById("p_weights_button").addEventListener("click", function () {
        const w = document.getElementById("p_weights");
        w.value = w.value.replace(/\[|\]/g,'');
        w.select();
        document.execCommand("copy");
        document.getElementById("p_weights_button").innerHTML = "Copied!";
    });
</script>
@endsection
